﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace feladat
{
    class Program
    {
        static void Beolvasás(out int N, int[] X)
        {
            //Elemszám beolvasása
            //A felhasználónak szánt tájékoztató üzenetek az Error csatotnára írandók! A standard output így nézne ki: Console.WriteLine("Hány eleme van a tömbnek?");
            //Például a kérdések:
            Console.Error.WriteLine("Hány számot olvasunk be? ");
            N = Convert.ToInt32(Console.ReadLine());
            //A tömb beolvasása
            for (int i = 0; i<N; i++)
            {
                Console.Error.WriteLine("A(z) "+(i+1)+". elem: ");
                X[i] = Convert.ToInt32(Console.ReadLine());
            }

        }

        static void Szétválogatás(int N, int[] X, out int Db, int[] Y)
        {
            Db = 0;
            for (int i=0;i<N;i++)
            {
                if (X[i] % 2 == 0)//Ha páros...
                {
                    Db++;
                    Y[Db - 1] = X[i];
                }
                else
                {
                    Y[N-i+Db-1] = X[i];
                }
            }
        }

        static void Kiírás(int N, int[] Y)
        {
            //A kimenetet kísérő szövegek is az Error csatornára irandók!
            Console.Error.Write("A szétválogatott számsorozat ");
            for (int i=0;i<N;i++)
            {
                Console.Write(Y[i]+" ");
            }
            Console.WriteLine();
        }

        static void Main(string[] args)
        {
            //F6. Adott N db természetes szám, válogassuk szét a párosakat és a páratlanokat!
            //Maximális elemszám
            const int MaxN = 100;
            //A tömb elemszámának deklarálása
            int N;
            //A tömb deklarálása
            int[] X = new int[MaxN];
            //Kimeneti adatok deklarálása
            int Db;
            int[] Y = new int[MaxN];
            //Beolvasás
            Beolvasás(out N, X);//out N: N kimeneti paraméter, tömbnél nincs külön jelölése
            //Lényegi megoldás
            Szétválogatás(N,X,out Db,Y);
            //Kiírás
            Kiírás(N,Y);
        }
    }
}
